org.eclipse.net4j.util.security

## Interface IChallengeResponse

- All Known Implementing Classes:
    ChallengeNegotiator, ChallengeResponseNegotiator, ResponseNegotiator

      public interface IChallengeResponse

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IChallengeResponse.Event`
    `static class` | `IChallengeResponse.State`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `ACKNOWLEDGE_FAILURE`
    `static byte` | `ACKNOWLEDGE_SUCCESS`

- - ### Field Detail

    - #### ACKNOWLEDGE_SUCCESS

          static final byte ACKNOWLEDGE_SUCCESS

      See Also:
        Constant Field Values

    - #### ACKNOWLEDGE_FAILURE

          static final byte ACKNOWLEDGE_FAILURE

      See Also:
        Constant Field Values

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html